apiVersion: apps/v1
kind: Deployment
metadata:
  name: pg-debug
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pg-debug
  template:
    metadata:
      labels:
        app: pg-debug
    spec:
      containers:
      - name: pg-debug
        image: 485790562880.dkr.ecr.us-east-2.amazonaws.com/akamas/bitnami/postgresql:16.6.0-debian-12-r2
        command: ["sleep", "infinity"]
        resources:
          requests:
            cpu: 100m
            memory: 128Mi
          limits:
            cpu: 500m
            memory: 256Mi

        volumeMounts:
        - name: backup
          mountPath: /backup
        - name: datadir
          mountPath: /data

      volumes:
      - name: backup
        persistentVolumeClaim:
          claimName: pg-dump
      - name: datadir
        persistentVolumeClaim:
          claimName: data-database-0
